#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xc9bf7bbb, "module_layout" },
	{ 0x3413021, "param_ops_string" },
	{ 0x81f9c785, "param_ops_int" },
	{ 0xf15175b9, "usbnet_get_stats64" },
	{ 0xc76d9e28, "usbnet_tx_timeout" },
	{ 0xe0eda0fd, "eth_validate_addr" },
	{ 0xef21a03, "eth_mac_addr" },
	{ 0xb94ab656, "usbnet_start_xmit" },
	{ 0x4970997d, "usbnet_stop" },
	{ 0x19ef7803, "usbnet_open" },
	{ 0xbdaf8dbc, "rndis_tx_fixup" },
	{ 0xc75f4372, "rndis_rx_fixup" },
	{ 0x9591122c, "rndis_status" },
	{ 0x3dbc39f8, "usbnet_resume" },
	{ 0xbc0a426c, "usbnet_suspend" },
	{ 0x5a15f637, "usbnet_disconnect" },
	{ 0xc1df6d39, "usbnet_probe" },
	{ 0x19ead50, "usb_deregister" },
	{ 0x89392828, "usb_register_driver" },
	{ 0xf7e0b2a7, "wiphy_register" },
	{ 0x7c8c0812, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x3099d6d9, "__mutex_init" },
	{ 0x39f25ee0, "wiphy_new_nm" },
	{ 0x467ab70, "netdev_err" },
	{ 0xa2920c68, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0xe8663ae6, "ieee80211_channel_to_frequency" },
	{ 0xbd430119, "netif_carrier_off" },
	{ 0x1cc487d1, "cfg80211_disconnected" },
	{ 0xc5850110, "printk" },
	{ 0xf932c038, "cfg80211_roamed" },
	{ 0x60097f68, "netif_carrier_on" },
	{ 0xb1179d80, "usbnet_resume_rx" },
	{ 0xfe0c8b49, "cfg80211_ibss_joined" },
	{ 0x35bc229d, "kmem_cache_alloc_trace" },
	{ 0x6f1f1818, "kmalloc_caches" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x33b885, "cfg80211_cqm_rssi_notify" },
	{ 0x16fae5b2, "cfg80211_put_bss" },
	{ 0xab8d260d, "ieee80211_get_channel" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x3cd61061, "_raw_spin_unlock_bh" },
	{ 0x6927f281, "_raw_spin_lock_bh" },
	{ 0x2c961481, "cfg80211_scan_done" },
	{ 0x75fe0ece, "wiphy_free" },
	{ 0x91923dd6, "wiphy_unregister" },
	{ 0xe153ea18, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0x16b46d2a, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0xe22f9518, "mutex_unlock" },
	{ 0xc8c2d4d7, "rndis_command" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfe7d434, "mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x51313241, "cfg80211_inform_bss_data" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xf2c22343, "cfg80211_connect_done" },
	{ 0x45391450, "usbnet_pause_rx" },
	{ 0x7830a3d7, "cfg80211_michael_mic_failure" },
	{ 0xa1ba61f8, "__dynamic_netdev_dbg" },
	{ 0x8c8208ed, "cfg80211_pmksa_candidate_notify" },
	{ 0xdb093862, "netdev_info" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "AEC3E86F8E3A19A4D8F6728");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
